--- base/notifications.c.orig	2008-01-27 14:39:53.000000000 +0100
+++ base/notifications.c	2008-01-27 14:42:03.000000000 +0100
@@ -737,21 +737,21 @@
 
 			my_free(temp_buffer);
 			my_free(processed_buffer);
+			}
 
-			/* run the command */
-			my_system(processed_command,notification_timeout,&early_timeout,&exectime,NULL,0);
-
-			/* check to see if the notification command timed out */
-			if(early_timeout==TRUE){
-				logit(NSLOG_SERVICE_NOTIFICATION | NSLOG_RUNTIME_WARNING,TRUE,"Warning: Contact '%s' service notification command '%s' timed out after %d seconds\n",cntct->name,processed_command,notification_timeout);
-			        }
+		/* run the command */
+		my_system(processed_command,notification_timeout,&early_timeout,&exectime,NULL,0);
 
-			/* free memory */
-			my_free(command_name);
-			my_free(raw_command);
-			my_free(processed_command);
+		/* check to see if the notification command timed out */
+		if(early_timeout==TRUE){
+			logit(NSLOG_SERVICE_NOTIFICATION | NSLOG_RUNTIME_WARNING,TRUE,"Warning: Contact '%s' service notification command '%s' timed out after %d seconds\n",cntct->name,processed_command,notification_timeout);
 		        }
 
+		/* free memory */
+		my_free(command_name);
+		my_free(raw_command);
+		my_free(processed_command);
+
 		/* get end time */
 		gettimeofday(&method_end_time,NULL);
 
